curl -X DELETE 'https://api.goatpay.com.br/v1/webhooks/delete/clx_webhook' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Webhook revogado com sucesso",
"data": { "item": { "id": "clx_webhook" } },
"requestId": "req_abc"
}
Endpoints
Revogar webhook
Desativa e remove o endpoint.
DELETE
/
webhooks
/
delete
/
{id}
curl -X DELETE 'https://api.goatpay.com.br/v1/webhooks/delete/clx_webhook' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Webhook revogado com sucesso",
"data": { "item": { "id": "clx_webhook" } },
"requestId": "req_abc"
}
curl -X DELETE 'https://api.goatpay.com.br/v1/webhooks/delete/clx_webhook' \
-H 'X-API-Key: gp_live_SUA_CHAVE'
{
"success": true,
"message": "Webhook revogado com sucesso",
"data": { "item": { "id": "clx_webhook" } },
"requestId": "req_abc"
}
Parâmetros
string
required
ID do recurso.
Authorizations
Chave gp_live_... criada em Integrações → Chaves de API no dashboard.
Path Parameters
ID do recurso (transação, cobrança, webhook, etc.)

